Subject: Re: bug#53591: closed (Re: [PATCH] gnu: audacity: Add fallback to locate ffmpeg via pkg-config.)

From: Leo Famulari <[email-masked]>
Date: Fri, 4 Feb 2022 17:32:30 -0500

On Sun, Jan 30, 2022 at 07:19:02AM +0000, GNU bug Tracking System wrote:
> From: Liliana Marie Prikler <[email-masked]>
> Am Samstag, dem 29.01.2022 um 14:53 -0500 schrieb Leo Famulari:
> > Well, this is fantastic Liliana! It works great.
> > 
> > Can you add a comment to 'audacity-ffmpeg-fallback.patch' with a link
> > to <https://issues.guix.gnu.org/53591>?
> Done and pushed.

I'm not sure what happened, but it seems I failed to test this fix
properly.

Audacity still does not keep a reference to FFmpeg, and it cannot
Opus-encoded files (among many other types of encodings):

------
$ git describe
v1.3.0-15695-gba60aede97
$ $(./pre-inst-env guix build --no-grafts audacity) | grep ffmpeg 
$
------

This is the file to test with:

https://dl.espressif.com/dl/audio/ff-16b-2c-44100hz.opus

I've reopened this bug.